#schedule-header {
    flex-shrink: 0;
    z-index: 1000;

    @media (max-width: 999.99px) {
        height: 57px;
    }

    @media (min-width: 1000px) and (max-width: 1199px) {
        height: 50px;
    }

    @media (min-width: 1200px) and (max-width: 1399px) {
        height: 50px;
    }

    @media (min-width: 1400px) {
        height: 65px;
    }

    .navbar {
        height: 100%;

        @media (max-width: 999.99px) {
            height: auto;
            min-height: 57px;
            width: 100%;
            position: fixed;
            background-color: #F5F5F5;
        }

        .container {

            .navbar-collapse {

                @media (max-width: 999.99px) {
                    position: absolute;
                    width: 100%;
                    top: 49px;
                    left: 0px;
                }

                .navbar-nav {

                    @media (max-width: 999.99px) {
                        position: relative;
                        width: 90%;
                    }

                    @media (min-width: 767.99px) and (max-width: 999.99px) {
                        width: 85%;
                    }

                    @media (min-width: 1000px) {
                        position: absolute;
                        right: 0;
                    }

                    .nav-link {
                        color: #a0a0a0;

                        @media (max-width: 999px) {
                            font-size: 1rem !important;
                        }

                        @media (min-width: 1000px) and (max-width: 1199px) {
                            font-size: 0.92rem !important;
                        }

                        @media (min-width: 1200px) and (max-width: 1399px) {
                            font-size: 1.15rem !important;
                        }

                        @media (min-width: 1400px) {
                            font-size: 1.4rem !important;
                        }

                        i {

                            @media (min-width: 1000px) and (max-width: 1199px) {
                                &:before {
                                    font-size: 1.4rem;
                                }
                            }

                            @media (min-width: 1200px) and (max-width: 1399px) {
                                &:before {
                                    font-size: 1.7rem;
                                }
                            }

                            @media (min-width: 1400px) {
                                &:before {
                                    font-size: 1.9rem;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

#schedule-main {
    display: flex;
    flex: 1;
    /*height: 100%;
    position: relative;*/

    @media (max-width: 999.99px) {
        height: auto;
    }

    #schedule-container {
        display: flex;
        flex-direction: column;
        flex-grow: 1;
        height: 100%;
        position: relative;

        #row-schedule-title {

            @media (max-width: 999.99px) {
                position: fixed;
                width: 100%;
                top: 0;
                right: 0;
                margin: 0;
                height: 57px;
                pointer-events: none;
                z-index: 1050;
            }

            .col {
                display: flex;
                justify-content: center;
                align-items: center;
                padding-bottom: 5px;

                @media (max-width: 767.98px) {
                    width: 100%;
                    position: relative;
                    padding: 0;

                    &:before {
                        position: absolute;
                        content: '';
                        height: 100%;
                        width: 55%;
                        max-width: 325px;
                        background-color: #FECE02;
                        z-index: 5;
                    }
                }

                @media (min-width: 767.99px) and (max-width: 999.99px) {
                    width: 100%;
                    position: relative;
                    padding: 0;

                    &:before {
                        position: absolute;
                        content: '';
                        height: 100%;
                        width: 55%;
                        max-width: 345px;
                        background-color: #FECE02;
                        z-index: 5;
                    }
                }

                span {
                    color: #5E1E0D;
                    display: inline-block;
                    text-align: center;
                    font-weight: bold;

                    @media (max-width: 767.98px) {
                        font-size: 1.2rem;
                        margin: 0;
                        z-index: 6;
                    }

                    @media (min-width: 767.99px) and (max-width: 999px) {
                        font-size: 1.5rem;
                        margin: 0;
                        z-index: 6;
                    }

                    @media (min-width: 1000px) and (max-width: 1199px) {
                        font-size: 1.6rem;
                    }

                    @media (min-width: 1200px) and (max-width: 1399px) {
                        font-size: 2rem;
                    }

                    @media (min-width: 1400px) {
                        font-size: 2.5rem;
                    }

                    &::first-letter {
                        font-family: 'Monplesir script';
                        font-weight: normal;
                    }
                }
            }
        }

        #mob-schedule-box-form {
            display: flex;
            flex-direction: column;
            justify-content: center;
            border: 1px solid #a0a0a0;
            border-radius: 43px;
            z-index: 100;
            background: #F5F5F5;
            height: auto;
            width: 82%;
            border-radius: 20px;
            padding: 10px;
            position: relative;

            @media (min-width: 767.99px) and (max-width: 999px) {
                width: 65%;
            }

            p {
                text-align: center;
                margin: 0;
            }

            button {
                background-color: #a0a0a0;
                color: #fff;
                width: 90%;
                padding: 5px;
                border-radius: 30px;
                border: 0;
                margin-top: 10px;
                font-weight: bold;

                @media (max-width: 767.98px) {
                    font-size: 1.1rem;
                }

                @media (min-width: 767.99px) and (max-width: 999.99px) {
                    font-size: 1.3rem;
                }
            }
        }

        .row-schedule {
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 1rem;
            flex: 1;

            @media (max-width: 999.99px) {
                display: flex;
                gap: 0;
            }

            .schedule_box-header {
                position: relative;
                width: 90%;
                border-radius: 43px;
                /*background: linear-gradient(to right, rgba(227, 236, 237, 1) 0%, 38.550421595573425%, rgba(122, 175, 177, 1) 77.10084319114685%, 88.55042159557343%, rgba(88, 155, 159, 1) 100%);*/
background: #2A7B9B;
background:
    linear-gradient(
        90deg,
        #a0a0a0 0%,
        #262626 45%,
        #a0a0a0 100%
    );
                z-index: 100;

                @media (min-width: 767.99px) and (max-width: 999px) {
                    width: 65%;
                }

                .col {

                    @media (max-width: 999.99px) {
                        padding: 0px 25px 0px 25px;
                    }

                    @media (min-width: 1000px) and (max-width: 1199px) {
                        padding: 0px 35px 0px 35px;
                    }

                    @media (min-width: 1200px) and (max-width: 1399px) {
                        padding: 0px 35px 0px 35px;
                    }

                    @media (min-width: 1400px) {
                        padding: 0px 45px 0px 45px;
                     }

                    span {
                        font-weight: bold;

                        @media (max-width: 767.98px) {
                            color: #a0a0a0;
                            padding: 0;
                            font-size: 1.2rem;
                        }

                        @media (min-width: 767.99px) and (max-width: 999px) {
                            color: #a0a0a0;
                            padding: 0;
                            font-size: 1.4rem;
                        }

                        @media (min-width: 1000px) and (max-width: 1199px) {
                            font-size: 1.5rem;
                        }

                        @media (min-width: 1200px) and (max-width: 1399px) {
                            font-size: 1.6rem;
                        }

                        @media (min-width: 1400px) {
                            font-size: 2rem;
                         }
                    }
                }


            }

            .schedule_box {
                display: flex;
                flex-direction: column;
                width: 90%;
                position: relative;
                border: 1px solid #a0a0a0;
                border-radius: 43px;
                margin-top: 15px;
                z-index: 100;
                background: #F5F5F5;
                padding: 10px 0 10px 0;

                @media (min-width: 767.99px) and (max-width: 999px) {
                    width: 65%;
                }

                p {
                    text-align: center;
                    margin: 0;

                    strong {
                        &.color_true {
                            color: #a0a0a0;
                        }
                    }
                }

                button[name='popover'] {
                    border: 0;
                    background-color: inherit;
                    text-transform: capitalize;

                    @media (max-width: 767.98px) {
                        font-size: 13px;
                    }

                    @media (min-width: 767.99px) and (max-width: 999px) {
                        font-size: 14px;
                    }

                    @media (min-width: 1000px) and (max-width: 1199px) {
                        font-size: 14px;
                    }

                    @media (min-width: 1200px) and (max-width: 1399px) {
                        font-size: 15px;
                    }

                    @media (min-width: 1400px) {
                        font-size: 17px;
                    }
                }

                button[name='form'] {
                    background-color: #a0a0a0;
                    color: #fff;
                    width: 65%;
                    padding: 5px;
                    border-radius: 30px;
                    border: 0;
                    margin-top: 10px;
                    font-weight: bold;

                    &:active {
                        box-shadow: 5px 7px 10px 2px rgba(0,0,0,.4);
                    }

                    @media (min-width: 1000px) and (max-width: 1199px) {
                        font-size: 1.2rem;
                    }

                    @media (min-width: 1200px) and (max-width: 1399px) {
                        font-size: 1.3rem;
                    }

                    @media (min-width: 1400px) {
                        width: 55%;
                        font-size: 1.4rem;
                    }
                }
            }

            #col-left-bottom {
                position: relative;
                z-index: 1;

                /*&:before {
                    position: absolute;
                    content: '';
                    height: 84%;
                    right: 58%;
                    bottom: 0;
                    left: -50vw;
                    border-top-right-radius: 43px;
                    background-color: #FECE02;
                    z-index: 0;
                }*/
            }

            #col-right-bottom {
                border-top-left-radius: 43px;
                position: relative;
                background: linear-gradient(to bottom, rgba(234, 239, 239, 1) 0%, 29.588013887405396%, rgba(170, 201, 203, 1) 59.17602777481079%, 79.5880138874054%, rgba(119, 172, 175, 1) 100%);
                padding-bottom: 10px;

                &:after {
                    position: absolute;
                    content: '';
                    height: 100%;
                    right: -50vw;
                    left: 0;
                    bottom: 0;
                    border-top-left-radius: 43px;
                    z-index: 5;
                    /*background: linear-gradient(to bottom, rgba(234, 239, 239, 1) 0%, 29.588013887405396%, rgba(170, 201, 203, 1) 59.17602777481079%, 79.5880138874054%, rgba(125, 176, 179, 1) 100%);*/
background:
    linear-gradient(
        90deg,
        #a0a0a0 0%,
        #262626 45%,
        #a0a0a0 100%
    );				
                }
            }
        }
    }

    .left-color {
        color: #FFF;
    }

    .right-color {
        color: #FFF;
    }

    .header-right-bottom {
        background: transparent !important;
        display: none;
    }

    .box-right-bottom {
        padding-top: 10px;
        padding-bottom: 20px;

        @media (min-width: 1200px) and (max-width: 1399px) {
            height: 155px;
        }

        @media (min-width: 1400px) {
            height: 175px;
        }
    }
}

#schedule-other {
    position: absolute;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 1;

    @media (max-width: 999px) {
        display: none;
    }

    .container {
        position: relative;
        height: 100%;

        #top-right {
            position: absolute;
            top: 0;
            right: 0;
            width: 213px;
            height: 200px;
            background-color: #FECE02;

            @media (min-width: 1000px) and (max-width: 1199px) {
                width: 180px;
                height: 190px;
            }

            @media (min-width: 1200px) and (max-width: 1399px) {
                width: 223px;
                height: 207px;
            }

            @media (min-width: 1400px) {
                width: 259px;
                height: 250px;
            }

            &:after {
                position: absolute;
                content: '';
                height: 100%;
                width: 100vw;
                background-color: #FECE02;
                z-index: 150;
            }
        }

    }
}

#schedule-footer {
    flex-shrink: 0;

    #schedule-mob-bottom {
        height: 100px;
        position: relative;

        &:before {
            position: absolute;
            content: '';
            height: calc(100% + 30px);
            width: 100%;
            top: -30px;
            background: linear-gradient(to bottom, rgba(234, 239, 239, 1) 0%, 29.588013887405396%, rgba(170, 201, 203, 1) 59.17602777481079%, 79.5880138874054%, rgba(119, 172, 175, 1) 100%);
        }
    }
}


#schedule-modal-group {

    @media (max-width: 767.98px) {
        z-index: 1200;
    }

    .modal-dialog {
        max-width: 700px;

        form {
            .modal-content {

                .modal-body {
                    padding: 0 40px 0 40px;

                    label[for="InputName"], label[for="InputContact"] {
                        color: #a0a0a0;

                        &::first-letter {
                            font-family: 'Monplesir script';
                        }
                    }

                    label[for="InputName"] {
                        padding: 0 0 0 10px;
                        font-size: 1.8rem;

                        @media (max-width: 767.98px) {
                            text-align: center;
                        }
                    }

                    label[for="InputContact"] {
                        font-size: 1.1rem;
                        line-height: 1;
                        text-align: center;

                        small {
                            font-size: 11px;
                        }

                    }

                    input[id="InputName"], input[id="InputContact"] {
                        border-radius: 43px;
                        height: 50px;

                        &:focus {
                            outline: none;
                            border-color: #a0a0a0;
                            box-shadow: 0 0 0 0.2rem rgba(78, 149, 153, 0.5);
                        }
                    }

                    #write-group {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        height: 50px;
                        background-color: #FECE02;
                        border-radius: 43px;

                        span {
                            font-size: 1.5rem;

                            @media (max-width: 767.98px) {
                                font-size: 1rem;
                            }

                            &::first-letter {
                                font-family: 'Monplesir script';
                            }
                        }
                    }

                    #select-col {
                        position: relative;

                        &:after {
                            content: '▼';
                            position: absolute;
                            color: #a0a0a0;
                            top: 50%;
                            right: 30px;
                            transform: translateY(-50%);
                            pointer-events: none;
                        }

                        .form-select {
                            border-radius: 43px;
                            background-image: none;

                            @media (max-width: 767.98px) {
                                font-size: 1rem;
                            }

                            &:focus {
                                outline: none;
                                border-color: #a0a0a0;
                                box-shadow: 0 0 0 0.2rem rgba(78, 149, 153, 0.5);
                            }
                        }
                    }

                    .form-check {

                        input {
                            width: 25px;
                            height: 25px;

                            &:focus {
                                outline: none;
                                border-color: #a0a0a0;
                                box-shadow: 0 0 0 0.2rem rgba(78, 149, 153, 0.5);
                            }

                            &:checked {
                                background-color: #a0a0a0;
                                border-color: #a0a0a0;
                            }
                        }

                        label {
                            font-size: 11px;
                            color: inherit;
                            padding: 7px 0 0 10px;
                        }
                    }

                }

                .modal-footer {
                    button {
                        width: 60%;
                        font-size: 1.2rem;

                        @media (min-width: 1400px) {
                            font-size: 1.3rem;
                        }
                    }
                }
            }
        }
    }
}

.schedule-popover {
    --bs-popover-max-width: 50% !important;
    --bs-popover-border-color: #a0a0a0 !important;
    --bs-popover-header-bg: #F5F5F5 !important;
    --bs-popover-header-color: #F5F5F5 !important;
    --bs-popover-bg: #F5F5F5 !important;
    --bs-popover-body-padding-x: 1rem;
    --bs-popover-body-padding-y: .5rem;

    @media (max-width: 767.98px) {
        --bs-popover-max-width: 90% !important;
        --bs-popover-zindex: 3000 !important;
    }

    ::-webkit-scrollbar {
        width: 5px;
        background-color: transparent;
    }

    /* Add a thumb */
    ::-webkit-scrollbar-thumb {
        border-radius: 10px;
        background: #a0a0a0;
    }

    .popover-body {
        max-height: 600px !important; /* Фиксированная высота */
        overflow-y: auto !important;
        user-select: none;

        @media (max-width: 767.98px) {
            max-height: 300px !important;
        }
    }
}

